Capacities - Update
Updates the current state of the specified Dedicated capacity.
PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.PowerBIDedicated/capacities/{dedicatedCapacityName}?api-version=2021-01-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
dedicated
|
path | True |
|
The name of the Dedicated capacity. It must be at least 3 characters in length, and no more than 63. Regex pattern: |
|
resource
|
path | True |
|
The name of the Azure Resource group of which a given PowerBIDedicated capacity is part. This name must be at least 1 character in length, and no more than 90. Regex pattern: |
|
subscription
|
path | True |
|
A unique identifier for a Microsoft Azure subscription. The subscription ID forms part of the URI for every service call. |
|
api-version
|
query | True |
|
The client API version. |
Request Body
| Name | Type | Description |
|---|---|---|
| properties.administration |
A collection of Dedicated capacity administrators |
|
| properties.mode |
Specifies the generation of the Power BI Embedded capacity. If no value is specified, the default value 'Gen2' is used. Learn More |
|
| sku |
The SKU of the Dedicated capacity resource. |
|
| tags |
|
Key-value pairs of additional provisioning properties. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| 202 Accepted |
Accepted |
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
| Update capacity parameters |
| Update capacity to Generation 2 |
Update capacity parameters
Sample Request
PATCH https://management.azure.com/subscriptions/613192d7-503f-477a-9cfe-4efc3ee2bd60/resourceGroups/TestRG/providers/Microsoft.PowerBIDedicated/capacities/azsdktest?api-version=2021-01-01
{
"sku": {
"name": "A1",
"tier": "PBIE_Azure"
},
"tags": {
"testKey": "testValue"
},
"properties": {
"administration": {
"members": [
"azsdktest@microsoft.com",
"azsdktest2@microsoft.com"
]
}
}
}
Sample Response
{
"id": "/subscriptions/613192d7-503f-477a-9cfe-4efc3ee2bd60/resourceGroups/TestRG/providers/Microsoft.PowerBIDedicated/capacities/azsdktest",
"location": "West US",
"name": "azsdktest",
"properties": {
"administration": {
"members": [
"azsdktest@microsoft.com",
"azsdktest2@microsoft.com"
]
},
"provisioningState": "Provisioning",
"state": "Provisioning"
},
"sku": {
"name": "A1",
"tier": "PBIE_Azure"
},
"tags": {
"testKey": "testValue"
},
"systemData": {
"createdBy": "user1",
"createdByType": "User",
"createdAt": "2021-01-01T00:00:19.1234567Z",
"lastModifiedBy": "user2",
"lastModifiedByType": "User",
"lastModifiedAt": "2021-01-01T00:00:19.1234567Z"
}
}
{
"id": "/subscriptions/613192d7-503f-477a-9cfe-4efc3ee2bd60/resourceGroups/TestRG/providers/Microsoft.PowerBIDedicated/capacities/azsdktest",
"location": "West US",
"name": "azsdktest",
"properties": {
"administration": {
"members": [
"azsdktest@microsoft.com",
"azsdktest2@microsoft.com"
]
},
"provisioningState": "Provisioning",
"state": "Provisioning"
},
"sku": {
"name": "A1",
"tier": "PBIE_Azure"
},
"tags": {
"testKey": "testValue"
},
"systemData": {
"createdBy": "user1",
"createdByType": "User",
"createdAt": "2021-01-01T00:00:19.1234567Z",
"lastModifiedBy": "user2",
"lastModifiedByType": "User",
"lastModifiedAt": "2021-01-01T00:00:19.1234567Z"
}
}
Update capacity to Generation 2
Sample Request
PATCH https://management.azure.com/subscriptions/613192d7-503f-477a-9cfe-4efc3ee2bd60/resourceGroups/TestRG/providers/Microsoft.PowerBIDedicated/capacities/azsdktest?api-version=2021-01-01
{
"sku": {
"name": "A1",
"tier": "PBIE_Azure"
},
"tags": {
"testKey": "testValue"
},
"properties": {
"mode": "Gen2"
}
}
Sample Response
{
"id": "/subscriptions/613192d7-503f-477a-9cfe-4efc3ee2bd60/resourceGroups/TestRG/providers/Microsoft.PowerBIDedicated/capacities/azsdktest",
"location": "West US",
"name": "azsdktest",
"properties": {
"administration": {
"members": [
"azsdktest@microsoft.com",
"azsdktest2@microsoft.com"
]
},
"mode": "Gen2",
"provisioningState": "Provisioning",
"state": "Provisioning"
},
"sku": {
"name": "A1",
"tier": "PBIE_Azure"
},
"tags": {
"testKey": "testValue"
},
"systemData": {
"createdBy": "user1",
"createdByType": "User",
"createdAt": "2021-01-01T00:00:19.1234567Z",
"lastModifiedBy": "user2",
"lastModifiedByType": "User",
"lastModifiedAt": "2021-01-01T00:00:19.1234567Z"
}
}
{
"id": "/subscriptions/613192d7-503f-477a-9cfe-4efc3ee2bd60/resourceGroups/TestRG/providers/Microsoft.PowerBIDedicated/capacities/azsdktest",
"location": "West US",
"name": "azsdktest",
"properties": {
"administration": {
"members": [
"azsdktest@microsoft.com",
"azsdktest2@microsoft.com"
]
},
"mode": "Gen2",
"provisioningState": "Provisioning",
"state": "Provisioning"
},
"sku": {
"name": "A1",
"tier": "PBIE_Azure"
},
"tags": {
"testKey": "testValue"
},
"systemData": {
"createdBy": "user1",
"createdByType": "User",
"createdAt": "2021-01-01T00:00:19.1234567Z",
"lastModifiedBy": "user2",
"lastModifiedByType": "User",
"lastModifiedAt": "2021-01-01T00:00:19.1234567Z"
}
}
Definitions
|
Capacity |
The current deployment state of PowerBI Dedicated resource. The provisioningState is to indicate states for resource provisioning. |
|
Capacity |
Represents the SKU name and Azure pricing tier for PowerBI Dedicated capacity resource. |
|
Capacity |
The name of the Azure pricing tier to which the SKU applies. |
|
Dedicated |
Represents an instance of a Dedicated Capacity resource. |
|
Dedicated |
An array of administrator user identities |
|
Dedicated |
Provision request specification |
| Error |
The error object |
|
Error |
Describes the format of Error response. |
|
Identity |
The type of identity that created/modified the resource. |
| Mode |
Specifies the generation of the Power BI Embedded capacity. If no value is specified, the default value 'Gen2' is used. Learn More |
| State |
The current state of PowerBI Dedicated resource. The state is to indicate more states outside of resource provisioning. |
|
System |
Metadata pertaining to creation and last modification of the resource. |
CapacityProvisioningState
The current deployment state of PowerBI Dedicated resource. The provisioningState is to indicate states for resource provisioning.
| Name | Type | Description |
|---|---|---|
| Deleting |
|
|
| Failed |
|
|
| Paused |
|
|
| Pausing |
|
|
| Preparing |
|
|
| Provisioning |
|
|
| Resuming |
|
|
| Scaling |
|
|
| Succeeded |
|
|
| Suspended |
|
|
| Suspending |
|
|
| Updating |
|
CapacitySku
Represents the SKU name and Azure pricing tier for PowerBI Dedicated capacity resource.
| Name | Type | Description |
|---|---|---|
| name |
|
Name of the SKU level. |
| tier |
The name of the Azure pricing tier to which the SKU applies. |
CapacitySkuTier
The name of the Azure pricing tier to which the SKU applies.
| Name | Type | Description |
|---|---|---|
| AutoPremiumHost |
|
|
| PBIE_Azure |
|
|
| Premium |
|
DedicatedCapacity
Represents an instance of a Dedicated Capacity resource.
| Name | Type | Description |
|---|---|---|
| id |
|
An identifier that represents the PowerBI Dedicated resource. |
| location |
|
Location of the PowerBI Dedicated resource. |
| name |
|
The name of the PowerBI Dedicated resource. |
| properties.administration |
A collection of Dedicated capacity administrators |
|
| properties.mode |
Specifies the generation of the Power BI Embedded capacity. If no value is specified, the default value 'Gen2' is used. Learn More |
|
| properties.provisioningState |
The current deployment state of PowerBI Dedicated resource. The provisioningState is to indicate states for resource provisioning. |
|
| properties.state |
The current state of PowerBI Dedicated resource. The state is to indicate more states outside of resource provisioning. |
|
| sku |
The SKU of the PowerBI Dedicated capacity resource. |
|
| systemData |
Metadata pertaining to creation and last modification of the resource. |
|
| tags |
|
Key-value pairs of additional resource provisioning properties. |
| type |
|
The type of the PowerBI Dedicated resource. |
DedicatedCapacityAdministrators
An array of administrator user identities
| Name | Type | Description |
|---|---|---|
| members |
|
An array of administrator user identities. |
DedicatedCapacityUpdateParameters
Provision request specification
| Name | Type | Description |
|---|---|---|
| properties.administration |
A collection of Dedicated capacity administrators |
|
| properties.mode |
Specifies the generation of the Power BI Embedded capacity. If no value is specified, the default value 'Gen2' is used. Learn More |
|
| sku |
The SKU of the Dedicated capacity resource. |
|
| tags |
|
Key-value pairs of additional provisioning properties. |
Error
The error object
| Name | Type | Description |
|---|---|---|
| code |
|
Error code |
| message |
|
Error message indicating why the operation failed. |
ErrorResponse
Describes the format of Error response.
| Name | Type | Description |
|---|---|---|
| error |
The error object |
IdentityType
The type of identity that created/modified the resource.
| Name | Type | Description |
|---|---|---|
| Application |
|
|
| Key |
|
|
| ManagedIdentity |
|
|
| User |
|
Mode
Specifies the generation of the Power BI Embedded capacity. If no value is specified, the default value 'Gen2' is used. Learn More
| Name | Type | Description |
|---|---|---|
| Gen1 |
|
|
| Gen2 |
|
State
The current state of PowerBI Dedicated resource. The state is to indicate more states outside of resource provisioning.
| Name | Type | Description |
|---|---|---|
| Deleting |
|
|
| Failed |
|
|
| Paused |
|
|
| Pausing |
|
|
| Preparing |
|
|
| Provisioning |
|
|
| Resuming |
|
|
| Scaling |
|
|
| Succeeded |
|
|
| Suspended |
|
|
| Suspending |
|
|
| Updating |
|
SystemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
|
The timestamp of resource creation (UTC) |
| createdBy |
|
An identifier for the identity that created the resource |
| createdByType |
The type of identity that created the resource |
|
| lastModifiedAt |
|
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
|
An identifier for the identity that last modified the resource |
| lastModifiedByType |
The type of identity that last modified the resource |